<?php

namespace Modules\Notice\Models;

use Modules\Notice\Models\Notice;

use App\Models\Meeting\WayMeeting;

class NewWayMeetingNotice 
{
    public static function getParameters(Notice $notice)
    {
        $wayMeeting = WayMeeting::find($notice->object_id);
        if (!$wayMeeting)
            return false;
        return [
            'id' => $wayMeeting->id,
            'name' => $wayMeeting->meeting->name,
            'action' => route('way.index', ['way' => $wayMeeting->way->id]),
        ];
    }
}